<?
session_start();
  include("../../clases/BDConexion.php");
  include("../../clases/clsPer.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
  
  $objPer=new clsPer;
  $existen=$objPer->ExisteFichaContrato($dociden_per);
  	
	$nombre_p="codigo_personal";	
	$fnac_per=extraerfechamysql($fnac_per);
//if($existecod==0){
if($existen==0){	
	if($archivo==""){		
	$ruta='../archivo_digital/'.$archivo;	
	unlink($ruta);
	$destino = '../archivo_digital';
	copy($_FILES['file']['tmp_name'], $destino.'/'.$_FILES['file']['name']);
	$digital=$_FILES['file']['name'];
	}else{
	$digital=$archivo;
	}		
	$ultimo=$objPer->registrarContrato($dociden_per,$cargo,$area,$lugar,extraerfechamysql($fingre_planilla),$tipo_contrato,$contrato,$ingre_men,$otros_ingre,$ingre_anual,$banco1,$moneda1,$ncta1,$tipo1,$banco2,$moneda2,$ncta2,$digital);  	
	
	while(list($clave,$valor)=each($remu)){  
		$fecha_remu=$valor[0];
		$des_remu=$valor[1];
		$cod_remu=$valor[2];
		$existe=$objPer->ExisteRemu($cod_remu);
		if($existe==0){
		$objPer->registrarRemu($cod_remu,extraerfechamysql($fecha_remu),$des_remu,$ultimo);
		}
	}
	Redirigir("../cvp_registrar_per_nuevo.php?tipo=$tipo&des=$des");	
}else{
	if($archivo==""){		
	$ruta='../archivo_digital/'.$archivo;	
	unlink($ruta);
	$destino = '../archivo_digital';
	copy($_FILES['file']['tmp_name'], $destino.'/'.$_FILES['file']['name']);
	$digital=$_FILES['file']['name'];
	}else{
	$digital=$archivo;
	}
	$objPer->updateContrato($dociden_per,$cargo,$area,$lugar,extraerfechamysql($fingre_planilla),$tipo_contrato,$contrato,$ingre_men,$otros_ingre,$ingre_anual,$banco1,$moneda1,$ncta1,$tipo1,$banco2,$moneda2,$ncta2,$digital);  	
	
	while(list($clave,$valor)=each($remu)){  
		$fecha_remu=$valor[0];
		$des_remu=$valor[1];
		$cod_remu=$valor[2];
		$existe=$objPer->ExisteRemu($cod_remu);
		if($existe==0){
		$objPer->registrarRemu($cod_remu,extraerfechamysql($fecha_remu),$des_remu,$ultimo);
		}
	}
	Redirigir("../cvp_registrar_per_nuevo.php?tipo=$tipo&des=$des");
}
  
?>